////////////////////////////////////////////////////////////////////////
//                                                                    //
// MicrOTP: A tool for computing one time passwords for S/Key logins. //
//                                                                    //
// (C) 2008 Tom Bramer                                                //
//                                                                    //
// This program is free software; you can redistribute it and/or      //
// modify it under the terms of the GNU General Public License        //
// as published by the Free Software Foundation; either version 2     //
// of the License, or (at your option) any later version.             //
//                                                                    //
// This program is distributed in the hope that it will be useful,    //
// but WITHOUT ANY WARRANTY; without even the implied warranty of     //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      //
// GNU General Public License for more details.                       //
//                                                                    //
// You should have received a copy of the GNU General Public License  //
// along with this program; if not, write to the Free Software        //
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA      //
// 02110-1301, USA.                                                   //
//                                                                    //
////////////////////////////////////////////////////////////////////////

// OTPDictionary.h: interface for the COTPDictionary class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_OTPDICTIONARY_H__42A389A5_21FB_42BF_B56D_FF4D34190BAF__INCLUDED_)
#define AFX_OTPDICTIONARY_H__42A389A5_21FB_42BF_B56D_FF4D34190BAF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class COTPDictionary  
{
public:
	virtual ~COTPDictionary();
	static TCHAR* GetWord(int word);

private:
	COTPDictionary();
	static TCHAR** words_;

};

#endif // !defined(AFX_OTPDICTIONARY_H__42A389A5_21FB_42BF_B56D_FF4D34190BAF__INCLUDED_)
